from django.core.management.base import BaseCommand

from arkindex.process.models import CorpusWorkerVersion


class Command(BaseCommand):
    help = "Rebuild the corpus worker versions cache"

    def add_arguments(self, parser):
        parser.add_argument(
            "--drop",
            help="Drop the existing cache before rebuilding.",
            action="store_true",
        )

    def handle(self, *args, drop=False, **options):
        if drop:
            CorpusWorkerVersion.objects.all().delete()
            self.stdout.write("Deleted all existing CorpusWorkerVersion.")

        CorpusWorkerVersion.objects.rebuild()
